Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Timur Tabi <[email-masked]>
Date: Tue, 13 Feb 2007 23:24:52 -0600

David Gibson wrote:

> Um.. you may be right in this case, but "the device tree compiler
> complains" is (sadly) not in general a good reason to decide
> something's bad.  The warning code in dtc is pretty bogus and
> complains about a number of things it shouldn't while failing to
> complain about some things it should.  I just haven't had time to make
> it much better.

I agree that the DTC has problems, but my understanding is that 
linux,boot-cpu is just plain wrong nowadays.  Besides, U-Boot overrides 
whatever is in the device tree, so it doesn't really matter what you say 
in the DTS.